SDL_bwindow.h File Reference
`#include "../SDL_sysvideo.h"`
Include dependency graph for SDL_bwindow.h:

Go to the source code of this file.

## Functions

int | HAIKU_CreateWindow (_THIS, SDL_Window *window)
int | HAIKU_CreateWindowFrom (_THIS, SDL_Window *window, const void *data)
void | HAIKU_SetWindowTitle (_THIS, SDL_Window *window)
void | HAIKU_SetWindowIcon (_THIS, SDL_Window *window, SDL_Surface *icon)
void | HAIKU_SetWindowPosition (_THIS, SDL_Window *window)
void | HAIKU_SetWindowSize (_THIS, SDL_Window *window)
void | HAIKU_ShowWindow (_THIS, SDL_Window *window)
void | HAIKU_HideWindow (_THIS, SDL_Window *window)
void | HAIKU_RaiseWindow (_THIS, SDL_Window *window)
void | HAIKU_MaximizeWindow (_THIS, SDL_Window *window)
void | HAIKU_MinimizeWindow (_THIS, SDL_Window *window)
void | HAIKU_RestoreWindow (_THIS, SDL_Window *window)
void | HAIKU_SetWindowBordered (_THIS, SDL_Window *window, SDL_bool bordered)
void | HAIKU_SetWindowResizable (_THIS, SDL_Window *window, SDL_bool resizable)
void | HAIKU_SetWindowFullscreen (_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)
int | HAIKU_SetWindowGammaRamp (_THIS, SDL_Window *window, const Uint16 *ramp)
int | HAIKU_GetWindowGammaRamp (_THIS, SDL_Window *window, Uint16 *ramp)
void | HAIKU_SetWindowGrab (_THIS, SDL_Window *window, SDL_bool grabbed)
void | HAIKU_DestroyWindow (_THIS, SDL_Window *window)
SDL_bool | HAIKU_GetWindowWMInfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)

## Function Documentation

## HAIKU_CreateWindow()

int HAIKU_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## HAIKU_CreateWindowFrom()

int HAIKU_CreateWindowFrom | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const void * | data
| ) |  |

## HAIKU_DestroyWindow()

void HAIKU_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## HAIKU_GetWindowGammaRamp()

int HAIKU_GetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | Uint16 * | ramp
| ) |  |

## HAIKU_GetWindowWMInfo()

SDL_bool HAIKU_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

## HAIKU_HideWindow()

void HAIKU_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## HAIKU_MaximizeWindow()

void HAIKU_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## HAIKU_MinimizeWindow()

void HAIKU_MinimizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## HAIKU_RaiseWindow()

void HAIKU_RaiseWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## HAIKU_RestoreWindow()

void HAIKU_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## HAIKU_SetWindowBordered()

void HAIKU_SetWindowBordered | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | bordered
| ) |  |

## HAIKU_SetWindowFullscreen()

void HAIKU_SetWindowFullscreen | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_VideoDisplay * | display,
|  | SDL_bool | fullscreen
| ) |  |

## HAIKU_SetWindowGammaRamp()

int HAIKU_SetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const Uint16 * | ramp
| ) |  |

## HAIKU_SetWindowGrab()

void HAIKU_SetWindowGrab | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | grabbed
| ) |  |

## HAIKU_SetWindowIcon()

void HAIKU_SetWindowIcon | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_Surface * | icon
| ) |  |

## HAIKU_SetWindowPosition()

void HAIKU_SetWindowPosition | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## HAIKU_SetWindowResizable()

void HAIKU_SetWindowResizable | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | resizable
| ) |  |

## HAIKU_SetWindowSize()

void HAIKU_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## HAIKU_SetWindowTitle()

void HAIKU_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## HAIKU_ShowWindow()

void HAIKU_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |